# buildit.sh
# script to build cdrom image
# copyright (c) 2001 joseph cheek.  all rights reserved.
# released under gpl

# remove subdirs

set -f
for a in doc games local man src include/X11 include/rpm
do
set +f
  rm -rf $a
done

# remove libexec

set -f
for a in LPR* coas modules printers
do
set +f
  rm -rf libexec/$a
done

# remove lib

# libgdbm* libttf* libutempter*
set -f
for a in terminfo xemacs X11 coas gconv libCode* libGrp* libMesaGL* \
  libPkgD* libglut* libndbm* libstdc++-libc6.1-1* \
  libstdc++.so.2.8* libstdc++.so.2.9* 
do
set +f
  rm -rf lib/$a
done

# remove share

set -f
for a in ghostscript/5.50/fonts/[a-mo-z]* grub i18n locale misc tabset \
  terminfo ghostscript/5.50/fonts/n019* ghostscript/5.50/fonts/n021* \
  ghostscript/5.50/fonts/n02202* ghostscript/5.50/fonts/n022004* \
  ghostscript/5.50/fonts/Fontmap ghostscript/5.50/doc coas \
  ghostscript/5.50/fonts/n022003l.?fm
do
set +f
  rm -rf share/$a
done

# remove sbin

set -f
for a in checkpc chroot fdformat gpm grub-install lpd lpraccnt \
  ramsize rdev readprofile rootflags setfdprm swapdev tunelp vidmode \
  vigr vipw zdump zic
do
set +f
  rm -rf sbin/$a
done

# add sbin

mount -o loop -t cramfs ../../../../live.cram.COL311 ../../../../live.cram
set -f
for a in netprobe lnetprobe
do
set +f
  cp ../../../../live.cram/usr/sbin/$a sbin
done
umount ../../../../live.cram

# remove X11 subdirs

for a in include man lib/X11/doc lib/X11/XF86Setup lib/X11/locale
do
  rm -rf X11R6/$a
done

# X11R6/bin

#  xkbbell xkbevd xkbprint xkbvleds xkbwatch
for a in XF86Setup XF86_Mono Xmark atobm bdftopcf bitmap bmtoa dga \
  glxinfo iceauth lbxproxy mkhtmlindex oclock pcitweak proxymngr \
  rman showrgb x11perf x11perfcomp xcmsdb xcutsel xf86cfg xfd \
  xfindproxy xfwp xieperf \
  xkill xlogo xlsatoms xlsclients xmseconfig xon xprop \
  xrefresh xsetmode xsetpointer xvinfo xwininfo
do
  rm -rf X11R6/bin/$a
done

# remove X11R6/lib stuff

# libGL* libX11* libXaw* libXext* libXmu* libXft* libXrender*
set -f
for a in libOSMesa* libXfont* libdps* libpsres* libxrx*
do
set +f
  rm -rf X11R6/lib/$a
done

# remove X11R6/lib/X11 stuff

#XftConfig XKeysymDB rgb.txt
for a in doc XF86Setup locale XErrorDB XF86Config.98 \
  config etc/Xinstall.sh etc/sun* etc/xmodmap.std fonts/PEX \
  fonts/ghostscript lbxproxy proxymngr x11perfcomp xinit
do
  rm -rf X11R6/lib/X11/$a
done

# remove bin files

for a in X11 \[ a2p basename bashbug c2ph cal captoinfo chfn chkdupexe \
  chsh cksum coas coastool col colcrt colrm column comm csplit cut \
  cytune ddate dirname dprofpp env expand expr factor find2perl fmt \
  fold gendiff getopt groups h2ph h2xs hexdump hostid id infocmp infotocap \
  ipcrm ipcs join kdesu logger logname look mcookie namei nl nohup paste \
  pathchk perlbug perlcc phi-consistent phi-db phi-dep phi-diff \
  phi-install phi-pkg-dep pinky pl2pm pr printenv printf pstruct ptx \
  rev rpm2cpio s2p script seq setsid setterm simplehotplugclient \
  sperl5.6.0 splain split suidperl sum tac tee test tic toe tput tr \
  tsort tty ul unexpand users vi whereis who whoami write xargs yes
do
  rm -rf bin/$a
done

# remove perl files

set -f
for a in CPAN* Carp/ Class* ExtUtils* [BDFI-SU]* Any* AutoS* \
  Term* Test* Text* Time* a*.p? [b-hj-rtu]* Cwd* English* \
  import* integer* validate*
do
set +f
  rm -rf lib/perl5/5.6.0/$a
done

# remove perl i386-linux files

set -f
for a in [BD-Z]* CORE att* [o-r]* auto/[B-FI-s]*
do
set +f
  rm -rf lib/perl5/5.6.0/i386-linux/$a
done
